THRIFT-1558 Named Pipe and Anonymous Pipe transport for Windows
Patch: Peace
add pipe crossplatform example to contrib
git-svn-id: https://svn.apache.org/repos/asf/thrift/trunk@1351477 13f79535-47bb-0310-9956-ffa450edef68
diff --git a/contrib/transport-sample/thriftme.sh b/contrib/transport-sample/thriftme.sh
new file mode 100644
index 0000000..3b18f90
--- /dev/null
+++ b/contrib/transport-sample/thriftme.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+THRIFT_COMPILER=./thrift
+OUTPUT_FOLDER=$PWD
+
+if [ ! -e "${THRIFT_COMPILER}" ]
+then
+ THRIFT_COMPILER=thrift
+ command -v ${THRIFT_COMPILER} >/dev/null 2>&1
+ if [ $? -eq 1 ]; then
+ echo
+ echo "thrift compiler not found."
+ echo
+ exit
+ fi
+fi
+
+${THRIFT_COMPILER} --gen cpp Sample.thrift
+
+echo
+echo "Files have been generated in gen-cpp."
+
+exit
+